Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.jedit.indent
Class RegexpIndentRule

    java.lang.Object
      org.gjt.sp.jedit.indent.RegexpIndentRule

All Implemented Interfaces:
  IndentRule

    public class RegexpIndentRule

extends java.lang.Object
implements IndentRule

Constructor Summary
`RegexpIndentRule(java.lang.String regexp, IndentAction prevPrev, IndentAction prev, IndentAction thisLine, boolean collapse)`

Method Summary
`void` | `apply(JEditBuffer buffer, int thisLineIndex, int prevLineIndex, int prevPrevLineIndex, java.util.List<IndentAction> indentActions)` Apply the indent rule to this line, and return an indent action.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RegexpIndentRule

    public RegexpIndentRule(java.lang.String regexp,
                            IndentAction prevPrev,
                            IndentAction prev,
                            IndentAction thisLine,
                            boolean collapse)
                     throws java.util.regex.PatternSyntaxException

Parameters:
  `collapse` - If true, then if the next indent rule is an opening bracket, this rule will not increase indent.
Throws:
  `java.util.regex.PatternSyntaxException`

Method Detail

### apply

    public void apply(JEditBuffer buffer,
                      int thisLineIndex,
                      int prevLineIndex,
                      int prevPrevLineIndex,
                      java.util.List<IndentAction> indentActions)

  Description copied from interface: `IndentRule`
  Apply the indent rule to this line, and return an indent action.

  Specified by:
    `apply` in interface `IndentRule`
  Parameters:
    `buffer` - the buffer
    `thisLineIndex` - the line index
    `prevLineIndex` - the prior non empty line index (or -1 if there is no prior non empty line)
    `prevPrevLineIndex` - the prior non empty line index before the prevLineIndex (or -1 if there is no prior non empty line)
    `indentActions` - the indent actions list. The rule can add an action in it if it is necessary

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD